Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsClientAcknowledgeTransactionFactory

    java.lang.Object
      org.mule.transport.jms.JmsClientAcknowledgeTransactionFactory

All Implemented Interfaces:
  TransactionFactory

    public class JmsClientAcknowledgeTransactionFactory

extends Object
implements TransactionFactory

`JmsClientAcknowledgeTransactionFactory` creates a JMS Client Acknowledge Transaction using a JMS Message.

Constructor Summary
`JmsClientAcknowledgeTransactionFactory()`

Method Summary
`Transaction` | `beginTransaction(MuleContext muleContext)` Create and begins a new transaction
`boolean` | `isTransacted()` Determines whether this transaction factory creates transactions that are really transacted or if they are being used to simulate batch actions, such as using Jms Client Acknowledge.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsClientAcknowledgeTransactionFactory

    public JmsClientAcknowledgeTransactionFactory()

Method Detail

### beginTransaction

    public Transaction beginTransaction(MuleContext muleContext)
                                 throws TransactionException

  Description copied from interface: `TransactionFactory`
  Create and begins a new transaction

  Specified by:
    `beginTransaction` in interface `TransactionFactory`
  Returns:
    a new Transaction
  Throws:
    `TransactionException` - if the transaction cannot be created or begun

### isTransacted

    public boolean isTransacted()

  Description copied from interface: `TransactionFactory`
  Determines whether this transaction factory creates transactions that are really transacted or if they are being used to simulate batch actions, such as using Jms Client Acknowledge.

  Specified by:
    `isTransacted` in interface `TransactionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.